#include "imageoperationmirror.h"
#include "../include/common.h"

ImageOperationMirror::ImageOperationMirror(QImage *origin,QStack<QImage> *stackImage)
{
    m_origin = origin;
    m_stackImage = stackImage;
}
void ImageOperationMirror::ImageOP(){
    QImage res = imageCopy(m_origin,m_stackImage);
    mirror(&res);
}
void ImageOperationMirror::mirror(QImage *img){
    img->mirrored(true, false);
    img->save(ScanningPicture);
    emit finished();
}
